--- src/Makefile.0.orig	2001-06-28 19:20:35.000000000 -0700
+++ src/Makefile.0	2021-02-05 16:41:03.000000000 -0800
@@ -39,6 +39,15 @@
 ../config.check:
 	@cd ..; $(MAKE) config.check
 
+# Don't use -Wno-error=implicit-function-declaration everywhere since
+# that can result in crashing programs on Apple Silicon. However, use
+# -Wno-error=implicit-function-declaration for _autotst since this
+# program is only run at build time to determine OS capabilities and
+# presumably a crash would be observed then and a source code change
+# could be fixed.
+_autotst.$(O): _autotst.c
+	$(CC) $(CPPFLAGS) $(CFLAGS) -Wno-error=implicit-function-declaration -c $< -o $@
+
 _autotst: _autotst.$(O) sublib.c sublib.h
 	$(CC) $(CFLAGS) $@.$(O) -o $@ $(LDFLAGS)
 
